using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Vrh.OneReport.Lib.Areas.OneReport.DbModels.Mapping
{
    public class QuerySettingsSetMap : EntityTypeConfiguration<QuerySettingsSet>
    {
        public QuerySettingsSetMap()
        {
            // Primary Key
            this.HasKey(t => t.Id);

            // Properties
            this.Property(t => t.User)
                .IsRequired();

            this.Property(t => t.Query)
                .IsRequired();

            this.Property(t => t.Name)
                .IsRequired();

            // Table & Column Mappings
            this.ToTable("QuerySettingsSet");
            this.Property(t => t.Id).HasColumnName("Id");
            this.Property(t => t.User).HasColumnName("User");
            this.Property(t => t.Query).HasColumnName("Query");
            this.Property(t => t.Name).HasColumnName("Name");
            this.Property(t => t.FieldFilters).HasColumnName("FieldFilters");
            this.Property(t => t.Settings).HasColumnName("Settings");
            this.Property(t => t.Filters).HasColumnName("Filters");
        }
    }
}
